<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Post extends DataMapper {

	var $has_many = array('image');

	var $validation = array(
		'title' => array(
			// example is required, and cannot be more than 120 characters long.
			'rules' => array('required', 'max_length' => 255),
			'label' => 'Título'
		),
		'content' => array(
			// example is required, and cannot be more than 120 characters long.
			'rules' => array('required'),
			'label' => 'Conteúdo',
			'type' => 'textarea'
		),
	);

	/**
	 * Constructor: calls parent constructor
	 */
    function __construct($id = NULL)
	{
		parent::__construct($id);
    }

    var $default_order_by = array('title', 'id' => 'desc');

    function __toString()
	{
		return empty($this->title) ? $this->localize_label('id') : $this->title;
	}

}

/* End of file post.php */
/* Location: ./application/models/post.php */